# List Webhooks You can list the active webhooks using the GET method to call to the webhooks endpoint. This method lists only *active* webhooks. **GET v1/environment/webhooks** ```http GET /v1/environment/webhooks HTTP/1.1 Host: api.shipengine.com API-Key: __YOUR_API_KEY_HERE__ ``` You can also list a specific webhook if you append the `webhook_id` to the end of the endpoint. **GET v1/environment/webhooks/:webhook_id** ```http GET /v1/environment/webhooks/5517 HTTP/1.1 Host: api.shipengine.com API-Key: __YOUR_API_KEY_HERE__ ``` When listing your webhooks, you'll receive a JSON response similar to the following example. ```json [ { "webhook_id": "5517", "url": "https://www.yourwebhook.com/listener/batch", "event": "batch" }, { "webhook_id": "5515", "url": "https://www.yourwebhook.com/listener/rate", "event": "rate" }, { "webhook_id": "5516", "url": "https://www.yourwebhook.com/listener/track", "event": "track" } ] ```